Skip to navigation

Create an internal transfer

Transfer funds between two accounts within the same organization. Supports transfers between depository accounts (checking/savings), from a depository account to a treasury/investment account, and from a treasury/investment account to a depository account. Creates paired debit and credit transactions.

Authentication

AuthorizationBearer

Bearer token authentication for Mercury API.

Use your API token in the Authorization header: Authorization: Bearer TOKEN

Example: Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem

Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.

Request

This endpoint expects an object.
amountdoubleRequired>=0.01
A positive dollar amount with at least 1 cent.
destinationAccountIdstringRequiredformat: "uuid"
ID for a Mercury account.
idempotencyKeystringRequired
sourceAccountIdstringRequiredformat: "uuid"
ID for a Mercury account.
notestring or nullOptional

Response

creditTransactionobject
A financial transaction on a Mercury account, including payment details, status, counterparty info, and categorization.
debitTransactionobject
A financial transaction on a Mercury account, including payment details, status, counterparty info, and categorization.

Errors

400
Bad Request Error